### Function

# Gimp Selection flood

since: 2.10

#### Declaration [src]

    gboolean
    gimp_selection_flood (
      GimpImage* image
    )

#### Description [src]

Remove holes from the image’s selection

This procedure removes holes from the selection, that can come from selecting a patchy area with the Fuzzy Select Tool. In technical terms this procedure floods the selection. See the Algorithms page in the developer wiki for details.

Available since: 2.10

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.